/b2b/oor/buy/card
On-ramp transaction with card attributes
Body
required
application/json
Request body
- Type: stringaddressrequired
The address to which the crypto should be transferred.
- Type: stringcard
_cvv requiredCVV
Example:
123 - Type: stringtrx
_token requiredTransaction token returned by
/b2b/fiat/buy-ratesendpoint. - Type: stringcard
_expiration _month Card expiration month
Example:
11Required if card_id not filled
- Type: stringcard
_expiration _year Card expiration year
Example:
2026Required if card_id not filled
- Type: stringcard
_holder _name Cardholder name
Example:
John DoeRequired if card_id not filled
- Type: stringcard
_id Card ID
Example:
1337Required if card data not filled
- Type: stringcard
_number Card number
Example:
1234567890123456Required if card_id not filled
- Type: stringmerchant
_transaction _id Unique custom ID to check transaction status. If empty, it will be generated
- Type: stringtin
Customer's Taxpayer Identification Number
Required for Brazil users.
Example:
123.456.789-10
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/b2b/oor/buy/card
curl https://sandbox-api.mrcr.io/v1.6/b2b/oor/buy/card \
--request POST \
--header 'Content-Type: application/json' \
--header 'B2B-Bearer-Token: YOUR_SECRET_TOKEN' \
--data '{
"card_holder_name": "John Doe",
"card_number": "1234567890123456",
"card_expiration_month": "11",
"card_expiration_year": "2026",
"card_cvv": "123",
"trx_token": "<from buy-rates request>",
"address": "0x8521F79D47fe9A7D7Ec794577336F3dc1eecF782",
"merchant_transaction_id": "87654321",
"tin": "123.456.789-10"
}'
{
"status": 200,
"data": {
"status": "pending",
"merchant_transaction_id": "7654321",
"redirect": {
"request_type": "BrowserPostRequest",
"uri_template": "https://checkout.sandbox.eu/test/bank",
"form": [
{
"key": "MD",
"template": "NjJjZWM0OGM3NTYwNA=="
},
{
"key": "PaReq",
"template": "PaReq"
},
{
"key": "TermUrl",
"template": "http://api.dev.local/v1.6/mock/checkout-sandbox-eu"
}
]
}
}
}